[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: LEO support and accelerated creator support

On Sun, Apr 25, 1999 at 02:37:06PM -0400, Steve Dunham wrote:
> We might just want to bite the bullet and do the register_frame_info
> thing.  It has been done on intel, and it is necessary for
> compatibility with Red Hat 6.0 (and perhaps Red Hat 5.2).  I suspect
> that if Netscape ever compiles against glibc 2.1 for the sparc, it
> will require this symbol from glibc.

The symbol is there no matter what, and I have heard that egcs might
backout the functionality in 1.1.3 anyway (not official, but hear say).
Binaries will still work between the systems. This isn't the same as
the i386 problems.

> They may be forced to upgrade anyways - I just compiled XFree against
> the package and it picked up a "libc6 (>= 2.1)" dependency.
> (Presumably from the libc6.shlibs file.)

I changed that myself, I actually had Joel setup the glibc 2.1.1 build
so sparc would be >=2.0.99, which is what we have now (that might be
changed to 2.0.105 just for safety sake, since I don't have a 2.0.99
system to test on).

Let me get this egcs compile done (about 5 more minutes) and do a test
compile, then try glibc 2.1.1 and another test compile to check
compatibility. Then maybe you can test between RedHat and a binary
compiled with this setup?

-----    -- - -------- --------- ----  -------  -----  - - ---   --------
Ben Collins <bcollins@debian.org>                        Debian GNU/Linux
OpenLDAP Dev - bcollins@openldap.org     The Choice of the GNU Generation
------ -- ----- - - -------   ------- -- ---- - -------- - --- ---- -  --

Reply to: